// lumi-g-test
// Copyright 2023-2024 Alexey V. Medvedev, Barcelona Supercomputing Center
// This is open software licensed under New BSD License. See LICNESE file for details.

#pragma once

namespace sys {
char *gpu_alloc(size_t size);
void gpu_free(void *);
char *cpu_alloc_pinned(size_t size);
void cpu_free_pinned(void *);
char *cpu_alloc_pageable(size_t size);
void cpu_free_pageable(void *);

}
